Subject: Re: Emacs crashing on C-x C-g
From: Eli Zaretskii <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Oct 2012 18:54:54 +0200
List-Id: <cygwin.cygwin.com>

> Date: Thu, 25 Oct 2012 09:01:40 -0600
> From: Eric Blake <[email-masked]>
> 
> On 10/25/2012 08:55 AM, Ryan Johnson wrote:
> >>>>
> >>>>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12697
> >>>>
> >>>> I imagine it will be fixed before the release of Emacs 24.3.
> >>> Agree the initial part is emacs. But I suspect the confused bash
> >>> business is not. ^G should either send SIGINT or not, this core dump
> >>> thing is not cool.
> >>
> >> Do you know whether this is Cygwin-specific?  Have you checked to see
> >> what happens on Linux?
> > Oops, you're right: I see the exact same behavior on linux. However,
> > that's via ssh in a mintty window, so it could still be mintty. Can
> > somebody running Linux directly verify, perhaps?
> 
> Linux (at least my setup on Fedora 17) has the same problem - when using
> emacs as the editor under 'git commit', an ill-timed ctrl-G on my part
> unceremoniously kills emacs as a result of sending the SIGINT to the
> entire process group.  I hate the behavior, but it is definitely not
> cygwin-specific.

Why doesn't git block SIGINT when it invokes $EDITOR?  I think that's
the prudent thing to do.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple